###################################################
### chunk number 1: 
###################################################
#line 54 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
library(SVGMapping)


###################################################
### chunk number 2: 
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
data(yeastExprData)      # Expression data from geo:GSE7140 
data(yeastAnnotMatrix)   # Annotations from SGD 


###################################################
### chunk number 3: 
###################################################
#line 77 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
TCAtemplate <- system.file("extdata/example.svg", package="SVGMapping")
mysvg <- loadSVG(TCAtemplate)


###################################################
### chunk number 4: 
###################################################
#line 91 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
logratios <- yeastExprData[,1]    
foldchange <- ifelse(logratios>=0, 2^(logratios), -2^-logratios)
mapDataSVG(mysvg, 
           numData=logratios, 
           tooltipData=foldchange, 
           annotation=yeastAnnotMatrix)


###################################################
### chunk number 5: 
###################################################
#line 112 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
saveSVG(mysvg, file="output1.svg")


###################################################
### chunk number 6:  eval=FALSE
###################################################
## #line 131 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## system.file("extdata/example.svg", package="SVGMapping")


###################################################
### chunk number 7: 
###################################################
#line 150 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
yeastExprData[c("YKL085W","YPL262W"),1]


###################################################
### chunk number 8: 
###################################################
#line 179 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
substring(yeastAnnotMatrix[1:3,], 0, 80)


###################################################
### chunk number 9:  eval=FALSE
###################################################
## #line 201 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate)


###################################################
### chunk number 10:  eval=FALSE
###################################################
## #line 208 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mapDataSVG(mysvg, 
##            numData=logratios,
##            tooltipData=foldchange,
##            annotation=yeastAnnotMatrix)


###################################################
### chunk number 11:  eval=FALSE
###################################################
## #line 218 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## reacdata <- c(mean(yeastExprData[c("YGL062W","YBR218C"),1]),
##                    yeastExprData["YKL085W",1],
##                    yeastExprData["YPL262W",1]
##               )
## names(reacdata) <- c("from-pyruvate", 
##                      "from-malate", 
##                      "from-fumarate")


###################################################
### chunk number 12:  eval=FALSE
###################################################
## #line 232 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mapDataSVG(mysvg, 
##            numData=reacdata, mode="stroke",
##            tooltipData=NULL, 
##            col=microarrayColors[c((1:333),(666:1000))])


###################################################
### chunk number 13:  eval=FALSE
###################################################
## #line 242 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## saveSVG(mysvg, file="output3.svg")


###################################################
### chunk number 14:  eval=FALSE
###################################################
## #line 264 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## TCAtemplate2 <- system.file("extdata/example2.svg", package="SVGMapping")
## mysvg <- loadSVG(TCAtemplate2)


###################################################
### chunk number 15:  eval=FALSE
###################################################
## #line 272 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mydata <- c(10, 25, 50)
## names(mydata) <- c("citrate", "cis-aconitate", "isocitrate")


###################################################
### chunk number 16:  eval=FALSE
###################################################
## #line 280 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mapDataSVG(mysvg, 
##            numData=mydata, mode="fill", 
##            col=c("#FF0000","#00FF00","#0000FF"),
##            colrange=range(mydata), 
##            tooltipData=paste(mydata, "mmol/L"))


###################################################
### chunk number 17:  eval=FALSE
###################################################
## #line 293 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mapDataSVG(mysvg, 
##            numData=mydata/100, mode="partial-fill")
## saveSVG(mysvg, file="output4.svg")


###################################################
### chunk number 18:  eval=FALSE
###################################################
## #line 339 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate)


###################################################
### chunk number 19:  eval=FALSE
###################################################
## #line 346 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## logratios <- yeastExprData
## foldchange <- ifelse(logratios>=0, 2^(logratios), -2^-logratios)


###################################################
### chunk number 20:  eval=FALSE
###################################################
## #line 353 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mapDataSVG(mysvg, 
##            numData=logratios, mode="pie",
##            tooltipData=foldchange,
##            annotation=yeastAnnotMatrix)
## saveSVG(mysvg, file="output2.svg")


###################################################
### chunk number 21:  eval=FALSE
###################################################
## #line 378 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate2)
## mydata <- matrix(c(-2, -1.5, -1, -0.5, 2, 1.5, 1, 0.5), ncol=4, byrow=TRUE)
## rownames(mydata) <- c("malate", "fumarate")
## mapDataSVG(mysvg, mydata, mode="fill")
## saveSVG(mysvg, file="output5.svg")


###################################################
### chunk number 22:  eval=FALSE
###################################################
## #line 411 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(system.file("extdata/device-example.svg", package="SVGMapping"))


###################################################
### chunk number 23:  eval=FALSE
###################################################
## #line 422 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## devSVGMapping(mysvg, "@inkscape:label", "Rplot1") 


###################################################
### chunk number 24:  eval=FALSE
###################################################
## #line 432 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## heatmap(yeastExprData[1:30,], col=microarrayColors, labCol=NA, scale="none")
## dev.off()


###################################################
### chunk number 25:  eval=FALSE
###################################################
## #line 443 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## saveSVG(mysvg, "pdev-output1.svg")


###################################################
### chunk number 26: 
###################################################
#line 466 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## from: LadyofHats @Wikipedia -- copyleft
dna_svg <- "http://upload.wikimedia.org/wikipedia/commons/8/8f/DNA_replication_en.svg"

mysvg <- loadSVG(system.file("extdata/device-example.svg", package="SVGMapping"))
includeSVG(template=mysvg, file=dna_svg, 
           attribute.name="@inkscape:label", attribute.value="Rplot1")
saveSVG(mysvg, "pdev-output2.svg")


###################################################
### chunk number 27:  eval=FALSE
###################################################
## #line 488 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(system.file("extdata/example3.svg", package="SVGMapping"))
## 
## genes <- getLabelsSVG(mysvg)
## genes <- genes[grepl("^Y.+\\-plot$", genes)]
## genes <- sapply(strsplit(genes, "-", fixed=TRUE), function(x) x[[1]])
## 
## timeValues <- c(0, 5, 10, 20, 60, 120)
## for (gene in genes) {
##   devSVGMapping(mysvg, attribute.value=paste(gene, "-plot", sep=""), width=1.5, height=1)
##   par(mar=c(0, 0, 2, 0))
##   shortGeneName <- strsplit(yeastAnnotMatrix[gene,"name"], " ", fixed=TRUE)[[1]]
##   shortGeneName <- shortGeneName[[length(shortGeneName)]]
##   ylims <- 1.2
##   image(c(timeValues[1],timeValues[length(timeValues)]), seq(-ylims,ylims,length.out=21),
##         matrix(seq(-ylims,ylims,length.out=20), nrow=1), col=microarrayColors, main=shortGeneName)
##   points(timeValues, yeastExprData[gene,], type="o")
##   dev.off()
## }
## 
## logratios <- yeastExprData
## mapDataSVG(mysvg, logratios, tooltipData=ifelse(logratios>=0, 2^(logratios), -2^-logratios), mode="pie", annotation=yeastAnnotMatrix)
## 
## showSVG(mysvg)


###################################################
### chunk number 28:  eval=FALSE
###################################################
## #line 539 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate2)
## mapDataSVG(mysvg, matrix(seq(-2,2,by=0.5), nrow=1, dimnames=list("malate", NULL)))
## showSVG(mysvg)


###################################################
### chunk number 29:  eval=FALSE
###################################################
## #line 557 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate2)
## mapDataSVG(mysvg, matrix(seq(-2,2,by=0.5), nrow=1, dimnames=list("malate", NULL)),
##            col=substring(rainbow(1000), 0, 7))
## showSVG(mysvg)


###################################################
### chunk number 30:  eval=FALSE
###################################################
## #line 573 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate2)
## mapDataSVG(mysvg, matrix(c(1,2,3,2,3,1,2), nrow=1, dimnames=list("malate", NULL)),
##            col=c("#CC0000", "#00CC00", "#0000CC"), colrange=c(1,3))
## showSVG(mysvg)


###################################################
### chunk number 31:  eval=FALSE
###################################################
## #line 586 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(TCAtemplate2)
## 
## stop1 <- newXMLNode("stop", attrs=list(offset=0, style="stop-color:red"))
## stop2 <- newXMLNode("stop", attrs=list(offset=1, style="stop-color:darkred"))
## gradient <- newXMLNode("radialGradient", attrs=list(id="redGradient"),
##                        .children=list(stop1,stop2))
## addDefinesSVG(mysvg, gradient)
## 
## stop1 <- newXMLNode("stop", attrs=list(offset=0, style="stop-color:lightgreen"))
## stop2 <- newXMLNode("stop", attrs=list(offset=1, style="stop-color:darkgreen"))
## gradient <- newXMLNode("radialGradient", attrs=list(id="greenGradient"),
##                        .children=list(stop1,stop2))
## addDefinesSVG(mysvg, gradient)
## 
## logratios <- yeastExprData[,1]
## # Here log-ratios are used for colors but fold-changes are displayed
## mapDataSVG(mysvg, logratios, tooltipData=ifelse(logratios>=0, 2^(logratios), -2^-logratios),
##            annotation=yeastAnnotMatrix, col=c("url(#greenGradient)", "url(#redGradient)"))
## 
## showSVG(mysvg)


###################################################
### chunk number 32:  eval=FALSE
###################################################
## #line 615 "d:/Rcompile/CRANpkg/local/2.12/SVGMapping/inst/doc/SVGMapping-tutorial.Rnw"
## mysvg <- loadSVG(system.file("extdata/example.svg", package="SVGMapping"))
## setTextSVG(mysvg, "text3091", "Krebs cycle", searchAttribute="id")
## addLinkByLabelSVG(mysvg, "text3091", "http://en.wikipedia.org/wiki/TCA_cycle",
##                   searchAttribute="id")
## showSVG(mysvg)


